import { Field, ObjectType } from '@nestjs/graphql';
import { Entry } from './entry.model';
import { GraphQLBoolean } from 'graphql';
import { TokenCode } from './tokenCode.model';

@ObjectType()
export class Agent {
    @Field()
    id: string;

    @Field()
    slug: string;

    @Field()
    name: string;

    @Field(() => GraphQLBoolean)
    catchable: boolean;

    @Field(() => [Entry])
    entries: Entry[];

    @Field(() => TokenCode, { nullable: true })
    tokenCode?: TokenCode;
}
