import { Field, GraphQLISODateTime, ObjectType } from '@nestjs/graphql';
import { Agent } from './agent.model';

@ObjectType()
export class Entry {
    @Field()
    id: string;

    @Field()
    private: boolean;

    @Field()
    locked: boolean;

    @Field({ nullable: true })
    content?: string;
    @Field({ nullable: true })
    image?: string;
    @Field({ nullable: true })
    lat?: string;
    @Field({ nullable: true })
    lon?: string;

    @Field(() => GraphQLISODateTime)
    createdAt: Date;

    @Field(() => Agent)
    agent: Agent;
}
